Groovy Documentation

## groovy.swing.factory
[Groovy] Class FrameFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.RootPaneContainerFactory
              groovy.swing.factory.FrameFactory

    class FrameFactory
    extends RootPaneContainerFactory

Field Summary

Fields inherited from class RootPaneContainerFactory
DEFAULT_DELEGATE_PROPERTY_DEFAULT_BUTTON, DELEGATE_PROPERTY_DEFAULT_BUTTON

Method Summary
`java.lang.Object` | `newInstance(FactoryBuilderSupport builder, java.lang.Object name, java.lang.Object value, java.util.Map attributes)`
`void` | `setChild(FactoryBuilderSupport build, java.lang.Object parent, java.lang.Object child)`

Methods inherited from class RootPaneContainerFactory
handleRootPaneTasks, onNodeCompleted, setChild

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### newInstance

    java.lang.Object newInstance(FactoryBuilderSupport builder, java.lang.Object name, java.lang.Object value, java.util.Map attributes)

### setChild

    void setChild(FactoryBuilderSupport build, java.lang.Object parent, java.lang.Object child)

Groovy Documentation